Page MenuHomePhabricator

Latin and Arabic scripts together for Azerbaijanian Wikipedia (LanguageConverter variants for az)
Closed, DeclinedPublic

Description

Author: vago-vago

Description:
Hi, In [http://az.wikipedia.org/wiki/Ana_S%C9%99hif%C9%99 Azerbaijan Wikipedia] has a problem switching to Arabic scripts visually (such as the [http://kk.wikipedia.org/wiki/%D0%91%D0%B0%D1%81%D1%82%D1%8B_%D0%B1%D0%B5%D1%82 Kazakh Wikipedia], they have even 3 - [http://translatewiki.net/w/i.php?title=Special%3ATranslate&task=view&group=core&language=kk-latn&limit=100 Latin], [http://translatewiki.net/w/i.php?title=Special%3ATranslate&task=view&group=core&language=kk-cyrl&limit=100 Cyrillic] and [http://translatewiki.net/w/i.php?title=Special%3ATranslate&task=view&group=core&language=kk-arab&limit=100 Arabic]) How do we solve this problem? More accurately as you can to help us?

The main text on Latinas and Arabic only visually (how the [http://ku.wikipedia.org/wiki/Destp%C3%AAk Kurdish Wikipedia], or in [http://kk.wikipedia.org/wiki/%D0%91%D0%B0%D1%81%D1%82%D1%8B_%D0%B1%D0%B5%D1%82 Kazakh wikipedia] Cyrillic is main and the Arabic and latinas are visually)

Copied the script from mediawiki.common.js Kurdish Wikipedia to Azerbaijan. It seems that "az-latn" and "az-arab" need to create a translatewiki.net's and other something.

// Set user-defined "lang" attributes for the document element (from zh)
var htmlE=document.documentElement;
if (wgUserLanguage == "az"){ variant = "az"; }
if (wgUserLanguage == "az-latn"){ variant = "az-Latn"; }
if (wgUserLanguage == "az-arab"){ variant = "az-Arab"; htmlE.setAttribute("dir","rtl"); }
htmlE.setAttribute("lang",variant);
htmlE.setAttribute("xml:lang",variant);

// Switch language variants of messages (from zh)
function wgULS(latn,arab){

//
az=latn||arab;
az=az;
latn=latn;
arab=arab;
switch(wgUserLanguage){
        case "az": return ku;
        case "az-arab": return arab;
        case "az-latn": return latn;
        default: return "";
}

}

// workaround for RTL ([[bugzilla:6756]]) and for [[bugzilla:02020]] & [[bugzilla:04295]]
if (wgUserLanguage == "az-arab")
{

document.direction="rtl";
document.write('<link rel="stylesheet" type="text/css" href="'+stylepath+'/common/common_rtl.css">');
document.write('<style type="text/css">html {direction:rtl;} body {direction:ltr; unicode-bidi:embed; lang:ku-Arab; } html > body div#content ol {clear: left;} ol {margin-left:2.4em; margin-right:2.4em;} ul {margin-left:1.5em; margin-right:1.5em;} h1.firstHeading {background-position: bottom right; background-repeat: no-repeat;} h3 {font-size:110%;} h4 {font-size:100%;} h5 {font-size:90%;}   #catlinks {width:100%;}   #userloginForm {float: right !important;}  </style>');
 
if (skin == "monobook"){
   document.write('<link rel="stylesheet" type="text/css" href="'+stylepath+'/monobook/rtl.css">');
}

}

Sincerely,


Version: 1.17.x
Severity: normal

Details

Reference
bz29218

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:35 PM
bzimport set Reference to bz29218.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.May 31 2011, 3:43 PM

vago-vago wrote:

(In reply to comment #0)

Hi, In [http://az.wikipedia.org/wiki/Ana_S%C9%99hif%C9%99 Azerbaijan Wikipedia]
has a problem switching to Arabic scripts visually (such as the
[http://kk.wikipedia.org/wiki/%D0%91%D0%B0%D1%81%D1%82%D1%8B_%D0%B1%D0%B5%D1%82
Kazakh Wikipedia], they have even 3 -
[http://translatewiki.net/w/i.php?title=Special%3ATranslate&task=view&group=core&language=kk-latn&limit=100
Latin],
[http://translatewiki.net/w/i.php?title=Special%3ATranslate&task=view&group=core&language=kk-cyrl&limit=100
Cyrillic] and
[http://translatewiki.net/w/i.php?title=Special%3ATranslate&task=view&group=core&language=kk-arab&limit=100
Arabic]) How do we solve this problem? More accurately as you can to help us?
The main text on Latinas and Arabic only visually (how the
[http://ku.wikipedia.org/wiki/Destp%C3%AAk Kurdish Wikipedia], or in
[http://kk.wikipedia.org/wiki/%D0%91%D0%B0%D1%81%D1%82%D1%8B_%D0%B1%D0%B5%D1%82
Kazakh wikipedia] Cyrillic is main and the Arabic and latinas are visually)
Copied the script from mediawiki.common.js Kurdish Wikipedia to Azerbaijan. It
seems that "az-latn" and "az-arab" need to create a translatewiki.net's and
other something.
Set user-defined "lang" attributes for the document element (from zh)
var htmlE=document.documentElement;
if (wgUserLanguage == "az"){ variant = "az"; }
if (wgUserLanguage == "az-latn"){ variant = "az-Latn"; }
if (wgUserLanguage == "az-arab"){ variant = "az-Arab";
htmlE.setAttribute("dir","rtl"); }
htmlE.setAttribute("lang",variant);
htmlE.setAttribute("xml:lang",variant);
Switch language variants of messages (from zh)
function wgULS(latn,arab){

//
az=latn||arab;
az=az;
latn=latn;
arab=arab;
switch(wgUserLanguage){
        case "az": return ku;
        case "az-arab": return arab;
        case "az-latn": return latn;
        default: return "";
}

}
// workaround for RTL ([[bugzilla:6756]]) and for [[bugzilla:02020]] &
[[bugzilla:04295]]
if (wgUserLanguage == "az-arab")
{

document.direction="rtl";
document.write('<link rel="stylesheet" type="text/css"

href="'+stylepath+'/common/common_rtl.css">');

document.write('<style type="text/css">html {direction:rtl;} body

{direction:ltr; unicode-bidi:embed; lang:ku-Arab; } html > body div#content ol
{clear: left;} ol {margin-left:2.4em; margin-right:2.4em;} ul
{margin-left:1.5em; margin-right:1.5em;} h1.firstHeading {background-position:
bottom right; background-repeat: no-repeat;} h3 {font-size:110%;} h4
{font-size:100%;} h5 {font-size:90%;} #catlinks {width:100%;}
#userloginForm {float: right !important;} </style>');

if (skin == "monobook"){
   document.write('<link rel="stylesheet" type="text/css"

href="'+stylepath+'/monobook/rtl.css">');

}

}
Sincerely, Vago vago=vago@mail.ru

I think this would require a solution to Bug #6100, but I'll ask around to be sure.

brion added a comment.May 31 2011, 6:37 PM

MediaWiki's Kazakh localization includes support for the LanguageConverter variants system, with automated conversion rules between Latin, Cyrillic, and Arabic scripts.

Currently the Azeri localization doesn't have this support set up, so the conversions don't happen even if you hack in copies of the variant selection tabs.

It looks like the script situation here is similar to other languages in the region (for historical geopolitical reasons, the modern speaker community is split over areas using Persian/Arabic, Cyrillic, and Latin scripts though usually the post-Soviet official style is Latin script) and having the conversion working probably would be beneficial for some people:

http://en.wikipedia.org/wiki/Azerbaijani_language#Alphabets

Kazakh (LanguageKk class) does the closest to what's requested, and probably could be adapted. Somebody needs to confirm the conversion rules etc.

vago-vago wrote:

Thanks.

That advise, what we need to do that the Azerbaijan Wikipedia was how the Kurdish Wikipedia (Arabic script)?

What should be done then the converter program, or something else?

Who (and how) did this for the Kazakh Wikipedia? Someone knows about this?

(replied on this earlier, but I don't see the reply now, so....)

(In reply to comment #4)

That advise, what we need to do that the Azerbaijan Wikipedia was how the
Kurdish Wikipedia (Arabic script)?

Get consensus from azwiki that this should be done. That is the first step. It will enable me to put start trying to find resources for this.

When and if you can show consensus, then I'll try to find a developer to work on it. It would be best if you could help find developers who understands both scripts and is motivated to work with us on it. For example, to accommodate the different scripts on zhwiki (http://zh.wikipedia.org/zh-cn/, http://zh.wikipedia.org/zh-hk/, http://zh.wikipedia.org/zh-sg/, http://zh.wikipedia.org/zh-tw/) we have a volunteer developer ([[mw:User:PhiLiP]]) who does a lot of the work.

Please let us know when you have consensus for this. Developers with some knowledge of PHP would be helpful, too.

Apparently this has been discussed on their wiki in 2009: http://az.wikipedia.org/wiki/Vikipediya:Ana_S%C9%99hif%C9%99/%D8%A2%D9%86%D8%A7_%D8%B5%D8%AD%DB%8C%D9%81%D9%87/Arxiv_2009#Latin_to_Arabic_automatic_transliteration_of_Azeri_Wikipedia
and there appears to exist open source software for this: http://azconvert.sourceforge.net/
That could be useful if a converter is made for MediaWiki.

ebrahimi.germi wrote:

I disagree that "The main text on Latinas and Arabic only visually", because arabik part users don't understand latin script, and don't edit in latin articles. The live in South Azerbaycan and used arabic script for writeen. Thanks

vugar199 wrote:

(In reply to comment #7)

I disagree that "The main text on Latinas and Arabic only visually", because
arabik part users don't understand latin script, and don't edit in latin
articles. The live in South Azerbaycan and used arabic script for writeen.
Thanks

I disagree too.

vugar199 wrote:

I disagree too

Liuxinyu970226 set Security to None.Sep 7 2015, 7:26 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 7 2015, 7:26 AM

@Mjbmr This can be declined since the creation of azbwiki

Mjbmr closed this task as Declined.Sep 8 2015, 11:30 AM
Mjbmr claimed this task.

@Liuxinyu970226, thanks for mentioning me,

az stands for Azerbaijani macrolanguage, South Azerbaijani is writtern in Arabic but it's not Arabic Azerbaijani; but this was a matter of South Azerbaijani living in Azerbaijani macrolanguage Wikipedia, and now South Azerbaijani has it own Wikipedia, and Azerbaijani macrolanguage Wikipedia was left with Latin script, then this can be closed as declined.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptSep 8 2015, 11:30 AM
Meno25 removed a subscriber: Meno25.Sep 20 2015, 3:26 PM